Freak-Lücke: Google aktualisiert Android WebView

MobileMobile OS

Mit der Betaversion 40 der Komponente stellt Google einen Fix für die Sicherheitslücke bereit. Allerdings erhalten sie nur Nutzer von Android 5.x Lollipop. Neben der Freak-Lücke beseitigt das Update Probleme mit der Wiedergabe von Videos und dem Kommunikationsprotokoll WebRTC.

Google hat mit Version 40 der Android-WebView-App die Sicherheitslücke Freak behoben. Angreifer können sie ausnutzen, um verschlüsselten Datenverkehr abzufangen und zu entschlüsseln. Die App liegt bislang nur als Beta-Version vor und kann nur von Anwendern von Android 5.x Lollipop genutzt werden. Außerdem ist eine Registrierung erforderlich.

Die Android-Komponente WebView ist verantwortlich für die Darstellung von Web-Inhalten. Zu Beginn bildete die Rendering-Engine WebKit die Grundlage dafür. Sie kommt nicht nur im namenlosen Android-Browser, sondern auch in allen Apps zum Einsatz, die über keine eigene Browsertechnik verfügen. Google hatte in Android 4.4 WebView auf Chromium umgestellt. Seitdem basierte sie auf Chrome 30 inklusive der Rendering-Engine Blink und der JavaScript-Engine V8. WebView 40 meldet nun laut Entwickler Richard Coles als User Agent Chrome 40.

Neben den Fix für Freak beseitigt das Update einige andere Fehler. Auf Geräten mit bestimmten GPUs soll das Kommunikationsprotokoll WebRTC nun nicht mehr abstürzen. Es behebt auch Probleme mit Emojis sowie bei der Videowiedergabe. Google hat auch ein Speicherloch beim Aufruf von JavaScript-Interface-Funktionen geschlossen.

Android WebView 40 (Screenshot: ZDNet)Die Beta von WebView steht seit fast einem Monat im Play Store zur Verfügung. Google erfüllt somit das Versprechen, wichtige Komponenten des Mobilbetriebssystems in Zukunft direkt über den Play Store zu aktualisieren. Die Funktion hatte der Konzern mit den Google Play Services 5.0 eingeführt. Auf diese Weise kann es über den Dienst Schwachstellen auch auf Geräten mit älteren Android-Versionen schließen. Eine Aktualisierung des Betriebssystems ist nicht mehr nötig.

Gerade im Fall von WebView macht Google aber für Android 4.3 oder früher davon keinen Gebrauch. In WebView unter Android-Versionen vor 4.4 KitKat stecken Sicherheitsforschern zufolge mehrere Schwachstellen, die Google jedoch nicht beheben wird. Android-Versionen bis 4.3 laufen derzeit noch auf mehr als 55 Prozent aller Android-Geräte, die auf den Play Store zugreifen.

[mit Material von Stefan Beiersmann, ZDNet.de]

Tipp: Sind Sie ein Android-Kenner? Überprüfen Sie Ihr Wissen – mit 15 Fragen auf silicon.de

Anklicken um die Biografie des Autors zu lesen  Anklicken um die Biografie des Autors zu verbergen